import type { IOperations } from './operations';
export declare type ICalculate<T extends number | bigint> = (expression: string) => T;
export declare function createCalculate<T extends number | bigint>(operations: IOperations<T>, resolveExpression?: (s: string) => string): ICalculate<T>;
export declare const calculate: ICalculate<number>;
export declare const decimalCalculate: ICalculate<number>;
export declare const bigintCalculate: ICalculate<bigint>;
